net.snowflake.client

## Class SnowflakeDriverIT

- java.lang.Object
- - net.snowflake.client.AbstractDriverIT
  - - net.snowflake.client.SnowflakeDriverIT

    public class SnowflakeDriverIT
    extends AbstractDriverIT

This test assumes that GS and XP cluster has been set up

Author:
  jhuang

### Constructor Summary

Constructors
Constructor and Description
`SnowflakeDriverIT()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `setUpClass()`
`static void` `tearDownClass()`
`void` `testAutocommitApis()` Tests autocommit APIs
`void` `testAutocommitApiSupportBackwardCompatibility()` Tests backward compatibility of the client.
`void` `testBind()`
`void` `testBindInWithClause()`
`void` `testBindTimestampNTZ()`
`void` `testBoolean()`
`void` `testCancelQuery()`
`void` `testCancelQueryV1()`
`void` `testClientInfo()`
`void` `testClientSideSorting()`
`void` `testCompressAndUploadStream()`
`void` `testConnections()`
`void` `testConstraints()`
`void` `testDateParsing()`
`void` `testDBMetadata()`
`void` `testDDLs()`
`void` `testExplainPlan()`
`void` `testGetDoubleForNaN()`
`void` `testGetDoubleForNull()`
`void` `testGetObject()`
`void` `testInvalidSQL()` SNOW-6986: null sql shouldn't be allowed
`void` `testInvalidURL()`
`void` `testLargeResultPerformance()`
`void` `testLoadToLocalFS()`
`void` `testLoadToS3()`
`void` `testNullBind()`
`void` `testParameters()`
`void` `testPutViaExecuteQuery()`
`void` `testQueries()`
`void` `testSessionParameters()` Test setting parameter values at the session level during connection
`void` `testSnow12603()`
`void` `testSnow14774()` SNOW-14774: timestamp_ntz value should use client time zone to adjust the epoch time.
`void` `testSnow16332()`
`void` `testSnow19172()` SNOW-19172: getMoreResults should return false after executeQuery
`void` `testSnow19819()`
`void` `testSnow26503()`
`void` `testSnow4245()`
`void` `testSnow4394()` SNOW-4394 - Four bytes UTF-8 characters are not returned correctly.
`void` `testSnow6290()` SNOW-6290: timestamp value is shifted by local timezone
`void` `testSQLErrors()`
`void` `testTimeParsing()`
`void` `testTimestampParsing()`
`void` `testUpdateCount()`
`void` `testUploadStream()`
`void` `testV1Query()`
`void` `testWarehouseQuiescing()`

### Methods inherited from class net.snowflake.client.AbstractDriverIT

`getConnection, getConnection, setUp, tearDown`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnowflakeDriverIT

    public SnowflakeDriverIT()

### Method Detail

#### setUpClass

    public static void setUpClass()
                           throws Exception

Throws:
  `Exception`

#### tearDownClass

    public static void tearDownClass()
                              throws SQLException

Throws:
  `SQLException`

#### testInvalidURL

    public void testInvalidURL()
                        throws SQLException

Throws:
  `SQLException`

#### testConnections

    public void testConnections()
                         throws SQLException

Throws:
  `SQLException`

#### testSessionParameters

    public void testSessionParameters()
                               throws IOException,
                                      SQLException

Test setting parameter values at the session level during connection

Throws:
  `IOException`
  `SQLException`

#### testParameters

    public void testParameters()
                        throws IOException,
                               SQLException

Throws:
  `IOException`
  `SQLException`

#### testDDLs

    public void testDDLs()
                  throws IOException,
                         SQLException

Throws:
  `IOException`
  `SQLException`

#### testAutocommitApiSupportBackwardCompatibility

    public void testAutocommitApiSupportBackwardCompatibility()
                                                       throws IOException,
                                                              SQLException

Tests backward compatibility of the client. i.e. when the autocommit api is disabled, calling commit/rollback and set/getAutoCommit() on the connection are no-ops.

Throws:
  `IOException`
  `SQLException`

#### testAutocommitApis

    public void testAutocommitApis()
                            throws IOException,
                                   SQLException

Tests autocommit APIs

Throws:
  `IOException`
  `SQLException`

#### testBoolean

    public void testBoolean()
                     throws IOException,
                            SQLException

Throws:
  `IOException`
  `SQLException`

#### testConstraints

    public void testConstraints()
                         throws IOException,
                                SQLException

Throws:
  `IOException`
  `SQLException`

#### testQueries

    public void testQueries()
                     throws IOException,
                            SQLException

Throws:
  `IOException`
  `SQLException`

#### testCancelQuery

    public void testCancelQuery()
                         throws IOException,
                                SQLException

Throws:
  `IOException`
  `SQLException`

#### testWarehouseQuiescing

    public void testWarehouseQuiescing()
                                throws IOException,
                                       SQLException

Throws:
  `IOException`
  `SQLException`

#### testDBMetadata

    public void testDBMetadata()
                        throws IOException,
                               SQLException

Throws:
  `IOException`
  `SQLException`

#### testLoadToLocalFS

    public void testLoadToLocalFS()
                           throws IOException,
                                  SQLException

Throws:
  `IOException`
  `SQLException`

#### testLoadToS3

    public void testLoadToS3()
                      throws IOException,
                             SQLException

Throws:
  `IOException`
  `SQLException`

#### testSQLErrors

    public void testSQLErrors()
                       throws IOException,
                              SQLException

Throws:
  `IOException`
  `SQLException`

#### testExplainPlan

    public void testExplainPlan()
                         throws IOException,
                                SQLException

Throws:
  `IOException`
  `SQLException`

#### testTimestampParsing

    public void testTimestampParsing()
                              throws IOException,
                                     SQLException

Throws:
  `IOException`
  `SQLException`

#### testDateParsing

    public void testDateParsing()
                         throws IOException,
                                SQLException

Throws:
  `IOException`
  `SQLException`

#### testTimeParsing

    public void testTimeParsing()
                         throws IOException,
                                SQLException

Throws:
  `IOException`
  `SQLException`

#### testClientSideSorting

    public void testClientSideSorting()
                               throws IOException,
                                      SQLException

Throws:
  `IOException`
  `SQLException`

#### testUpdateCount

    public void testUpdateCount()
                         throws IOException,
                                SQLException

Throws:
  `IOException`
  `SQLException`

#### testSnow4245

    public void testSnow4245()
                      throws IOException,
                             SQLException

Throws:
  `IOException`
  `SQLException`

#### testSnow4394

    public void testSnow4394()
                      throws IOException,
                             SQLException

SNOW-4394 - Four bytes UTF-8 characters are not returned correctly.

Throws:
  `IOException`
  `SQLException`

#### testUploadStream

    public void testUploadStream()
                          throws IOException,
                                 SQLException

Throws:
  `IOException`
  `SQLException`

#### testCompressAndUploadStream

    public void testCompressAndUploadStream()
                                     throws IOException,
                                            SQLException

Throws:
  `IOException`
  `SQLException`

#### testBind

    public void testBind()
                  throws IOException,
                         SQLException

Throws:
  `IOException`
  `SQLException`

#### testBindInWithClause

    public void testBindInWithClause()
                              throws IOException,
                                     SQLException

Throws:
  `IOException`
  `SQLException`

#### testBindTimestampNTZ

    public void testBindTimestampNTZ()
                              throws IOException,
                                     SQLException

Throws:
  `IOException`
  `SQLException`

#### testNullBind

    public void testNullBind()
                      throws IOException,
                             SQLException

Throws:
  `IOException`
  `SQLException`

#### testSnow12603

    public void testSnow12603()
                       throws IOException,
                              SQLException

Throws:
  `IOException`
  `SQLException`

#### testSnow6290

    public void testSnow6290()
                      throws IOException,
                             SQLException

SNOW-6290: timestamp value is shifted by local timezone

Throws:
  `IOException`
  `SQLException`

#### testInvalidSQL

    public void testInvalidSQL()
                        throws IOException,
                               SQLException

SNOW-6986: null sql shouldn't be allowed

Throws:
  `IOException`
  `SQLException`

#### testGetObject

    public void testGetObject()
                       throws IOException,
                              SQLException

Throws:
  `IOException`
  `SQLException`

#### testGetDoubleForNull

    public void testGetDoubleForNull()
                              throws IOException,
                                     SQLException

Throws:
  `IOException`
  `SQLException`

#### testGetDoubleForNaN

    public void testGetDoubleForNaN()
                             throws IOException,
                                    SQLException

Throws:
  `IOException`
  `SQLException`

#### testPutViaExecuteQuery

    public void testPutViaExecuteQuery()
                                throws IOException,
                                       SQLException

Throws:
  `IOException`
  `SQLException`

#### testSnow16332

    public void testSnow16332()
                       throws IOException,
                              SQLException

Throws:
  `IOException`
  `SQLException`

#### testV1Query

    public void testV1Query()
                     throws IOException,
                            SQLException

Throws:
  `IOException`
  `SQLException`

#### testCancelQueryV1

    public void testCancelQueryV1()
                           throws IOException,
                                  SQLException

Throws:
  `IOException`
  `SQLException`

#### testSnow14774

    public void testSnow14774()
                       throws IOException,
                              SQLException

SNOW-14774: timestamp_ntz value should use client time zone to adjust the epoch time.

Throws:
  `IOException`
  `SQLException`

#### testSnow19172

    public void testSnow19172()
                       throws SQLException

SNOW-19172: getMoreResults should return false after executeQuery

Throws:
  `SQLException`

#### testSnow19819

    public void testSnow19819()
                       throws IOException,
                              SQLException

Throws:
  `IOException`
  `SQLException`

#### testClientInfo

    public void testClientInfo()
                        throws IOException,
                               SQLException

Throws:
  `IOException`
  `SQLException`

#### testLargeResultPerformance

    public void testLargeResultPerformance()
                                    throws IOException,
                                           SQLException

Throws:
  `IOException`
  `SQLException`

#### testSnow26503

    public void testSnow26503()
                       throws IOException,
                              SQLException

Throws:
  `IOException`
  `SQLException`